Bug 222500 - news/py-sabyenc: Update to 3.3.1
Summary: news/py-sabyenc: Update to 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on: 222501
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-21 19:19 UTC by Ralf van der Enden
Modified: 2017-09-23 11:15 UTC (History)
2 users (show)

See Also:


Attachments
Update to 3.3.1 (816 bytes, patch)
2017-09-21 19:19 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to 3.3.1 (with binary stripping) (1.02 KB, patch)
2017-09-22 08:23 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2017-09-21 19:19:26 UTC
Created attachment 186601 [details]
Update to 3.3.1

Update to 3.3.1

- Required by sabnzbd 2.3.0 (and not compatible with earlier versions of sabnzbd)
Comment 1 Ralf van der Enden 2017-09-21 19:26:43 UTC
This PR depends on bug #222501
Comment 2 Richard Gallamore freebsd_committer 2017-09-21 23:29:22 UTC
Warning: 'lib/python2.7/site-packages/sabyenc.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}

Can you please add stripping to the shared lib?
Comment 3 Ralf van der Enden 2017-09-22 08:23:31 UTC
Created attachment 186613 [details]
Update to 3.3.1 (with binary stripping)
Comment 4 Ralf van der Enden 2017-09-22 08:24:33 UTC
I replaced the previous patch with one that implements the ${STRIP_CMD} on the compiled binary.
Comment 5 commit-hook freebsd_committer 2017-09-23 11:10:58 UTC
A commit references this bug:

Author: dbaio
Date: Sat Sep 23 11:10:09 UTC 2017
New revision: 450427
URL: https://svnweb.freebsd.org/changeset/ports/450427

Log:
  news/py-sabyenc: Update to 3.3.1

  PR:		222500
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/news/py-sabyenc/Makefile
  head/news/py-sabyenc/distinfo
Comment 6 Danilo G. Baio freebsd_committer 2017-09-23 11:15:07 UTC
Committed, thanks!